@echo off
if not "%~0"=="#SETTINGS.cmd" goto INCORRECT_INTERNAL_CALL
::==================================================================================================
set errorlevel=0
set errorlevel=
::--------------------------------------------------------------------------------------------------

set #ProjectName=LnkConverter
set #ProjectFileName=%#ProjectName%.csproj
set #TargetModuleName=LnkConverter.exe
set #OutputFileName=Output.txt

set #TargetFramework=net5.0-windows

set #PublishPlatform=x64
set #PublishConfiguration=Debug
rem set #PublishConfiguration=Release
set #PublishRID=win-x64
set #Publish_AdditionalKeys=
rem set #Publish_AdditionalKeys=%#Publish_AdditionalKeys% --self-contained

set #TargetDir_x64_D=bin\x64\Debug\%#TargetFramework%\
set #TargetDir_x64_R=bin\x64\Release\%#TargetFramework%\
set #TargetDir_x86_D=bin\x86\Debug\%#TargetFramework%\
set #TargetDir_x86_R=bin\x86\Release\%#TargetFramework%\

set #TargetModulePath_x64_D=%#TargetDir_x64_D%%#TargetModuleName%
set #TargetModulePath_x64_R=%#TargetDir_x64_R%%#TargetModuleName%
set #TargetModulePath_x86_D=%#TargetDir_x86_D%%#TargetModuleName%
set #TargetModulePath_x86_R=%#TargetDir_x86_R%%#TargetModuleName%

::--------------------------------------------------------------------------------------------------
rem set LnkConverter.OutputNormalWidth=79
rem set LnkConverter.SuppressUnicodeOutput=1
::--------------------------------------------------------------------------------------------------
goto :EOF
::==================================================================================================
:INCORRECT_INTERNAL_CALL
echo.
echo ## Incorrect internal call of "%~nx0" (auxiliary batch).
goto ERROR
::==================================================================================================
:ERROR
echo 
pause
EXIT 255
::==================================================================================================
